<?php

namespace AppBundle\Controller;


use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class ProfilController extends Controller
{
    /**
     * @Route("/profil/", name="user_profil")
     */
    public function monProfilAction(Request $request)
    {
        $user = $this->getUser();
        $form = $this->createForm('AppBundle\Form\UserEditProfilType', $user);
        $form->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid())
        {
            $em = $this->getDoctrine()->getManager();
            $user = $form->getData();
            $em->flush();
            $this->addFlash('success', "Votre profil a été modifié");
        }


        return $this->render('@App/profil/monprofil.html.twig', array (
            'form'  =>  $form->createView()
        ));
    }



}